--- old/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_upgrade_001_neg.ksh	Wed Aug 31 16:21:08 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/misc/zpool_upgrade_001_neg.ksh	Wed Aug 31 16:21:08 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/misc/misc.cfg
@@ -49,14 +49,14 @@
 
 log_onexit cleanup
 # zpool upgrade returns 0 when it can't do anything
-log_must $ZPOOL upgrade $TESTPOOL.virt
+log_must zpool upgrade $TESTPOOL.virt
 
 # Now try to upgrade our version 1 pool
-log_mustnot $ZPOOL upgrade v1-pool
+log_mustnot zpool upgrade v1-pool
 
 # if the pool has been upgraded, then v1-pool won't be listed in the output
 # of zpool upgrade anymore
-RESULT=$($ZPOOL upgrade | $GREP v1-pool)
+RESULT=$(zpool upgrade | grep v1-pool)
 if [ -z "$RESULT" ]
 then
 	log_fail "A pool was upgraded successfully!"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/setup.ksh	Wed Aug 31 16:21:08 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/setup.ksh	Wed Aug 31 16:21:08 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -42,23 +42,23 @@
 typeset -i index=0
 for dataset in $DATASETS
 do
-	log_must $ZFS create $TESTPOOL/$TESTFS/$dataset
-	$SLEEP 1
-        log_must $ZFS snapshot $TESTPOOL/$TESTFS/${dataset}@snap
+	log_must zfs create $TESTPOOL/$TESTFS/$dataset
+	sleep 1
+        log_must zfs snapshot $TESTPOOL/$TESTFS/${dataset}@snap
 
-	$SLEEP 1
+	sleep 1
 	if is_global_zone ; then
-		log_must $ZFS create -V 64M $TESTPOOL/$TESTFS/${dataset}-vol
-		$SLEEP 1
-		log_must $ZFS snapshot $TESTPOOL/$TESTFS/${dataset}-vol@snap
+		log_must zfs create -V 64M $TESTPOOL/$TESTFS/${dataset}-vol
+		sleep 1
+		log_must zfs snapshot $TESTPOOL/$TESTFS/${dataset}-vol@snap
 	fi
 
 	# sleep to ensure that the datasets have different creation dates
-	$SLEEP 1
-	log_must $ZFS set checksum=${cksumarray[$index]} \
+	sleep 1
+	log_must zfs set checksum=${cksumarray[$index]} \
 		$TESTPOOL/$TESTFS/$dataset
 	if datasetexists $TESTPOOL/$TESTFS/${dataset}-vol; then
-		log_must $ZFS set checksum=${cksumarray[$index]} \
+		log_must zfs set checksum=${cksumarray[$index]} \
 			$TESTPOOL/$TESTFS/${dataset}-vol
 	fi
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list.kshlib	Wed Aug 31 16:21:08 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list.kshlib	Wed Aug 31 16:21:08 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,7 +54,7 @@
 		ACTUAL=$(basename $dataset)
 		if [ "$dataset" != "$TESTPOOL/$TESTFS" ]
 		then
-			EXPECTED=$($ECHO $list | $AWK "{print \$$index}")
+			EXPECTED=$(echo $list | awk "{print \$$index}")
 			if [ "$ACTUAL" != "$EXPECTED" ]
 			then
 				log_note "WARNING:" \
@@ -67,7 +67,7 @@
 	done
 
 	# finally check to see if we have the expected number of elements
-	if [ $index -ne $($ECHO $list | $AWK '{print split($0,arr)+1}') ]
+	if [ $index -ne $(echo $list | awk '{print split($0,arr)+1}') ]
 	then
 		log_fail "Warning: " \
 			"unexpected number of filesystems found in list output!"
@@ -85,7 +85,7 @@
 	typeset name=$3
 
 	# set our index to the be number of elements in the list
-	typeset -i index=$($ECHO $list | $AWK '{print split($0,arr)}')
+	typeset -i index=$(echo $list | awk '{print split($0,arr)}')
 
 	log_note "Checking reverse sort by '$name'," \
 		"expecting the reverse of '$list'"
@@ -96,7 +96,7 @@
 		ACTUAL=$(basename $dataset)
 		if [ "$dataset" != "$TESTPOOL/$TESTFS" ]
 		then
-			EXPECTED=$($ECHO $list | $AWK "{print \$$index}")
+			EXPECTED=$(echo $list | awk "{print \$$index}")
 			if [ "$ACTUAL" != "$EXPECTED" ]
 			then
 				log_note "Warning:" \
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list_001_pos.ksh	Wed Aug 31 16:21:08 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list_001_pos.ksh	Wed Aug 31 16:21:08 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -100,7 +100,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_must eval "$ZFS ${args[i]} > /dev/null"
+	log_must eval "zfs ${args[i]} > /dev/null"
 	((i = i + 1))
 done
 
@@ -109,7 +109,7 @@
 cd /tmp
 typeset -i i=0
 while [[ $i -lt ${#pathargs[*]} ]]; do
-	log_must eval "$ZFS ${pathargs[i]} > /dev/null"
+	log_must eval "zfs ${pathargs[i]} > /dev/null"
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list_002_pos.ksh	Wed Aug 31 16:21:08 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list_002_pos.ksh	Wed Aug 31 16:21:08 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_user/zfs_list/zfs_list.kshlib
@@ -97,80 +97,80 @@
 
 # sort by creation
 verify_sort \
-	"$ZFS list -H -r -o name -s creation -t filesystem $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -s creation -t filesystem $TESTPOOL/$TESTFS" \
 	"$fs_creation" "creation date"
 if is_global_zone ; then
 	verify_sort \
-	"$ZFS list -H -r -o name -s creation -t volume $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -s creation -t volume $TESTPOOL/$TESTFS" \
 	"$vol_creation" "creation date"
 fi
 verify_sort \
-	"$ZFS list -H -r -o name -s creation -t snapshot $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -s creation -t snapshot $TESTPOOL/$TESTFS" \
 	"$snap_creation" "creation date"
 
 # sort by checksum
 verify_sort \
-	"$ZFS list -H -r -o name -s checksum -t filesystem $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -s checksum -t filesystem $TESTPOOL/$TESTFS" \
 	"$fs_cksum" "checksum"
 if is_global_zone ; then
 	verify_sort \
-	"$ZFS list -H -r -o name -s checksum -t volume $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -s checksum -t volume $TESTPOOL/$TESTFS" \
 	"$vol_cksum" "checksum"
 fi
 verify_sort \
-	"$ZFS list -H -r -o name -s checksum -t snapshot $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -s checksum -t snapshot $TESTPOOL/$TESTFS" \
 	"$snap_cksum" "checksum"
 verify_sort \
-	"$ZFS list -H -r -o name -S checksum -t snapshot $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -S checksum -t snapshot $TESTPOOL/$TESTFS" \
 	"$snap_cksum" "checksum"
 
 # sort by name
 verify_sort \
-	"$ZFS list -H -r -o name -s name -t filesystem $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -s name -t filesystem $TESTPOOL/$TESTFS" \
 	"$fs_name" "name"
 if is_global_zone ; then
 	verify_sort \
-	"$ZFS list -H -r -o name -s name -t volume $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -s name -t volume $TESTPOOL/$TESTFS" \
 	"$vol_name" "name"
 fi
 verify_sort \
-	"$ZFS list -H -r -o name -s name -t snapshot $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -s name -t snapshot $TESTPOOL/$TESTFS" \
 	"$snap_name" "name"
 
 # reverse sort by creation
 verify_reverse_sort \
-	"$ZFS list -H -r -o name -S creation -t filesystem $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -S creation -t filesystem $TESTPOOL/$TESTFS" \
 	"$fs_creation" "creation date"
 if is_global_zone ; then
 	verify_reverse_sort \
-	"$ZFS list -H -r -o name -S creation -t volume $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -S creation -t volume $TESTPOOL/$TESTFS" \
 	"$vol_creation" "creation date"
 fi
 verify_reverse_sort \
-	"$ZFS list -H -r -o name -S creation -t snapshot $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -S creation -t snapshot $TESTPOOL/$TESTFS" \
 	"$snap_creation" "creation date"
 
 # reverse sort by checksum
 verify_reverse_sort \
-	"$ZFS list -H -r -o name -S checksum -t filesystem $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -S checksum -t filesystem $TESTPOOL/$TESTFS" \
 	"$fs_rev_cksum" "checksum"
 if is_global_zone ; then
 	verify_reverse_sort \
-	"$ZFS list -H -r -o name -S checksum -t volume $TESTPOOL/$TESTFS" \
+	"zfs list -H -r -o name -S checksum -t volume $TESTPOOL/$TESTFS" \
 	"$vol_rev_cksum" "checksum"
 fi
 
 # reverse sort by name
 verify_reverse_sort \
-	"$ZFS list -H -r -o name -S name -t filesystem $TESTPOOL/$TESTFS"\
+	"zfs list -H -r -o name -S name -t filesystem $TESTPOOL/$TESTFS"\
 	"$fs_name" "name"
 if is_global_zone ; then
 	verify_reverse_sort \
-	"$ZFS list -H -r -o name -S name -t volume $TESTPOOL/$TESTFS"\
+	"zfs list -H -r -o name -S name -t volume $TESTPOOL/$TESTFS"\
 	"$vol_name" "name"
 fi
 verify_reverse_sort \
-	"$ZFS list -H -r -o name -S name -t snapshot $TESTPOOL/$TESTFS"\
+	"zfs list -H -r -o name -S name -t snapshot $TESTPOOL/$TESTFS"\
 	"$snap_name" "name"
 
 log_pass "The sort functionality in 'zfs list' works as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list_003_pos.ksh	Wed Aug 31 16:21:08 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list_003_pos.ksh	Wed Aug 31 16:21:08 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,7 +45,7 @@
 function cleanup
 {
 	if [[ -f $tmpfile ]]; then
-		$RM -f $tmpfile
+		rm -f $tmpfile
 	fi
 }
 
@@ -64,9 +64,9 @@
 cd /tmp
 
 for path in $TESTPOOL/$TESTFS $TESTDIR ./../$TESTDIR ; do
-	$ZFS list -rH -o name $path > $tmpfile
+	zfs list -rH -o name $path > $tmpfile
 	for fs in $children ; do
-		$GREP "^${fs}$" $tmpfile > /dev/null 2>&1
+		grep "^${fs}$" $tmpfile > /dev/null 2>&1
 		if (( $? != 0 )); then
 			log_fail "$fs not shown in the output list."
 		fi
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list_004_neg.ksh	Wed Aug 31 16:21:08 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list_004_neg.ksh	Wed Aug 31 16:21:08 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -55,8 +55,8 @@
 cd /tmp
 
 for fs in $paths ; do
-	log_mustnot $ZFS list $fs
-	log_mustnot $ZFS list -r $fs
+	log_mustnot zfs list $fs
+	log_mustnot zfs list -r $fs
 done
 
 log_pass "'zfs list [-r]' fails while the given dataset/path does not exist " \
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list_007_pos.ksh	Wed Aug 31 16:21:08 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list_007_pos.ksh	Wed Aug 31 16:21:08 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_list_d.kshlib
@@ -50,8 +50,8 @@
 
 function cleanup
 {
-	log_must $RM -f $DEPTH_OUTPUT
-	log_must $RM -f $EXPECT_OUTPUT
+	log_must rm -f $DEPTH_OUTPUT
+	log_must rm -f $EXPECT_OUTPUT
 }
 
 log_onexit cleanup
@@ -74,14 +74,14 @@
 	while (( fs<${#fs_type[*]} )); do
 		if [[ "$dp" == "0" ]] && \
 		  [[ "${fs_type[$fs]}" == "volume" || "${fs_type[$fs]}" == "snapshot" ]]; then
-			log_must eval "$ZFS list -H -d $dp -o name -t ${fs_type[$fs]} $DEPTH_FS > $DEPTH_OUTPUT"
+			log_must eval "zfs list -H -d $dp -o name -t ${fs_type[$fs]} $DEPTH_FS > $DEPTH_OUTPUT"
 			[[ -s "$DEPTH_OUTPUT" ]] && \
 				log_fail "$DEPTH_OUTPUT should be null."
-			log_mustnot $ZFS list -rH -o name -t ${fs_type[$fs]} $DEPTH_FS | $EGREP -e '$eg_opt'
+			log_mustnot zfs list -rH -o name -t ${fs_type[$fs]} $DEPTH_FS | egrep -e '$eg_opt'
 		else
-			log_must eval "$ZFS list -H -d $dp -o name -t ${fs_type[$fs]} $DEPTH_FS > $DEPTH_OUTPUT"
-			log_must eval "$ZFS list -rH -o name -t ${fs_type[$fs]} $DEPTH_FS | $EGREP -e '$eg_opt' > $EXPECT_OUTPUT"
-			log_must $DIFF $DEPTH_OUTPUT $EXPECT_OUTPUT
+			log_must eval "zfs list -H -d $dp -o name -t ${fs_type[$fs]} $DEPTH_FS > $DEPTH_OUTPUT"
+			log_must eval "zfs list -rH -o name -t ${fs_type[$fs]} $DEPTH_FS | egrep -e '$eg_opt' > $EXPECT_OUTPUT"
+			log_must diff $DEPTH_OUTPUT $EXPECT_OUTPUT
 		fi
 		(( fs+=1 ))
 	done
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list_008_neg.ksh	Wed Aug 31 16:21:08 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/zfs_list/zfs_list_008_neg.ksh	Wed Aug 31 16:21:08 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_get/zfs_get_list_d.kshlib
@@ -49,7 +49,7 @@
 typeset -i i=0
 while (( i < ${#badargs[*]} ))
 do
-	log_mustnot eval "$ZFS list -d ${badargs[i]} $DEPTH_FS >/dev/null 2>&1"
+	log_mustnot eval "zfs list -d ${badargs[i]} $DEPTH_FS >/dev/null 2>&1"
 	(( i = i + 1 ))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/zpool_iostat/zpool_iostat_001_neg.ksh	Wed Aug 31 16:21:09 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/zpool_iostat/zpool_iostat_001_neg.ksh	Wed Aug 31 16:21:09 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,7 +56,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_must $ZPOOL ${args[i]}
+	log_must zpool ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/zpool_iostat/zpool_iostat_002_pos.ksh	Wed Aug 31 16:21:09 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/zpool_iostat/zpool_iostat_002_pos.ksh	Wed Aug 31 16:21:09 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,7 +49,7 @@
 function cleanup
 {
 	if [[ -f $tmpfile ]]; then
-		$RM -f $tmpfile
+		rm -f $tmpfile
 	fi
 }
 
@@ -60,9 +60,9 @@
 	TESTPOOL=${TESTPOOL%%/*}
 fi
 
-$ZPOOL iostat $TESTPOOL 1 4 > $tmpfile 2>&1 &
+zpool iostat $TESTPOOL 1 4 > $tmpfile 2>&1 &
 sleep 4
-stat_count=$($GREP $TESTPOOL $tmpfile | $WC -l)
+stat_count=$(grep $TESTPOOL $tmpfile | wc -l)
 
 if [[ $stat_count -ne 4 ]]; then
 	log_fail "zpool iostat [pool_name] [interval] [count] failed"
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/zpool_iostat/zpool_iostat_003_neg.ksh	Wed Aug 31 16:21:09 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/zpool_iostat/zpool_iostat_003_neg.ksh	Wed Aug 31 16:21:09 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -58,7 +58,7 @@
 
 typeset -i i=1
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZPOOL iostat ${args[i]}
+	log_mustnot zpool iostat ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/zpool_list/zpool_list_001_pos.ksh	Wed Aug 31 16:21:09 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/zpool_list/zpool_list_001_pos.ksh	Wed Aug 31 16:21:09 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,7 +56,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-	log_must $ZPOOL ${args[i]}
+	log_must zpool ${args[i]}
 
 	((i = i + 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_user/zpool_list/zpool_list_002_neg.ksh	Wed Aug 31 16:21:09 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_user/zpool_list/zpool_list_002_neg.ksh	Wed Aug 31 16:21:09 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,7 +50,7 @@
 
 typeset -i i=1
 while [[ $i -lt ${#args[*]} ]]; do
-	log_mustnot $ZPOOL list ${args[i]}
+	log_mustnot zpool list ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/compression/compress_001_pos.ksh	Wed Aug 31 16:21:09 2016
+++ new/usr/src/test/zfs-tests/tests/functional/compression/compress_001_pos.ksh	Wed Aug 31 16:21:09 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,22 +49,22 @@
 log_assert "Ensure that compressed files are smaller."
 
 log_note "Ensure compression is off"
-log_must $ZFS set compression=off $TESTPOOL/$TESTFS
+log_must zfs set compression=off $TESTPOOL/$TESTFS
 
 log_note "Writing file without compression..."
-log_must $FILE_WRITE -o $OP -f $TESTDIR/$TESTFILE0 -b $BLOCKSZ \
+log_must file_write -o $OP -f $TESTDIR/$TESTFILE0 -b $BLOCKSZ \
     -c $NUM_WRITES -d $DATA
 
 log_note "Add compression property to the dataset and write another file"
-log_must $ZFS set compression=on $TESTPOOL/$TESTFS
+log_must zfs set compression=on $TESTPOOL/$TESTFS
 
-log_must $FILE_WRITE -o $OP -f $TESTDIR/$TESTFILE1 -b $BLOCKSZ \
+log_must file_write -o $OP -f $TESTDIR/$TESTFILE1 -b $BLOCKSZ \
     -c $NUM_WRITES -d $DATA
 
-$SLEEP 60
+sleep 60
 
-FILE0_BLKS=`$DU -k $TESTDIR/$TESTFILE0 | $AWK '{ print $1}'`
-FILE1_BLKS=`$DU -k $TESTDIR/$TESTFILE1 | $AWK '{ print $1}'`
+FILE0_BLKS=`du -k $TESTDIR/$TESTFILE0 | awk '{ print $1}'`
+FILE1_BLKS=`du -k $TESTDIR/$TESTFILE1 | awk '{ print $1}'`
 
 if [[ $FILE0_BLKS -le $FILE1_BLKS ]]; then
 	log_fail "$TESTFILE0 is smaller than $TESTFILE1" \
--- old/usr/src/test/zfs-tests/tests/functional/compression/compress_002_pos.ksh	Wed Aug 31 16:21:09 2016
+++ new/usr/src/test/zfs-tests/tests/functional/compression/compress_002_pos.ksh	Wed Aug 31 16:21:09 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,22 +51,22 @@
 log_assert "Ensure that compressed files in a dataset are smaller."
 
 log_note "Ensure compression is off"
-log_must $ZFS set compression=off $TESTPOOL/$TESTCTR
+log_must zfs set compression=off $TESTPOOL/$TESTCTR
 
 log_note "Writing file without compression..."
-log_must $FILE_WRITE -o $OP -f $TESTDIR1/$TESTFILE0 -b $BLOCKSZ \
+log_must file_write -o $OP -f $TESTDIR1/$TESTFILE0 -b $BLOCKSZ \
     -c $NUM_WRITES -d $DATA
 
 log_note "Add compression property to the dataset and write another file"
-log_must $ZFS set compression=on $TESTPOOL/$TESTCTR
+log_must zfs set compression=on $TESTPOOL/$TESTCTR
 
-log_must $FILE_WRITE -o $OP -f $TESTDIR1/$TESTFILE1 -b $BLOCKSZ \
+log_must file_write -o $OP -f $TESTDIR1/$TESTFILE1 -b $BLOCKSZ \
     -c $NUM_WRITES -d $DATA
 
-$SLEEP 60
+sleep 60
 
-FILE0_BLKS=`$DU -k $TESTDIR1/$TESTFILE0 | $AWK '{ print $1}'`
-FILE1_BLKS=`$DU -k $TESTDIR1/$TESTFILE1 | $AWK '{ print $1}'`
+FILE0_BLKS=`du -k $TESTDIR1/$TESTFILE0 | awk '{ print $1}'`
+FILE1_BLKS=`du -k $TESTDIR1/$TESTFILE1 | awk '{ print $1}'`
 
 if [[ $FILE0_BLKS -le $FILE1_BLKS ]]; then
 	log_fail "$TESTFILE0 is smaller than $TESTFILE1" \
--- old/usr/src/test/zfs-tests/tests/functional/compression/compress_003_pos.ksh	Wed Aug 31 16:21:09 2016
+++ new/usr/src/test/zfs-tests/tests/functional/compression/compress_003_pos.ksh	Wed Aug 31 16:21:09 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 
 function cleanup
 {
-	$RM -f $TESTDIR/*
+	rm -f $TESTDIR/*
 }
 
 log_assert "Changing blocksize doesn't casue system panic with compression settings"
@@ -64,7 +64,7 @@
 do
 	for value in $(get_compress_opts zfs_compress)
 	do
-		log_must $ZFS set $propname=$value $fs
+		log_must zfs set $propname=$value $fs
 		if [[ $value == "gzip-6" ]]; then
 			value="gzip"
 		fi
@@ -74,7 +74,7 @@
 
 		(( blksize = 512 ))
 		while (( blksize <= 131072 )); do
-			log_must $ZFS set recordsize=$blksize $fs
+			log_must zfs set recordsize=$blksize $fs
 			(( offset = $RANDOM ))
 			if (( offset > blksize )); then
 				(( offset = offset % blksize ))
@@ -84,9 +84,9 @@
 				(( offset = offset + 1 ))
 			fi
 			(( fsize = offset ))
-			log_must $MKFILE $fsize $single_blk_file
+			log_must mkfile $fsize $single_blk_file
 			(( fsize = blksize + offset ))
-			log_must $MKFILE $fsize $multi_blk_file
+			log_must mkfile $fsize $multi_blk_file
 
 			(( blksize = blksize * 2 ))
 		done
--- old/usr/src/test/zfs-tests/tests/functional/compression/compress_004_pos.ksh	Wed Aug 31 16:21:09 2016
+++ new/usr/src/test/zfs-tests/tests/functional/compression/compress_004_pos.ksh	Wed Aug 31 16:21:09 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 
 function cleanup
 {
-	$RM -f $TESTDIR/*
+	rm -f $TESTDIR/*
 }
 
 function create_free_testing #<file size> <file>
@@ -63,10 +63,10 @@
 		(( dist = fsz - start ))
 		for len in `expr $RANDOM % $dist` $dist \
 			`expr $start + $dist`; do
-			log_must $RANDFREE_FILE -l fsz -s $start \
+			log_must randfree_file -l fsz -s $start \
 				-n $len $file
 			[[ -e $file ]] && \
-				log_must $RM -f $file
+				log_must rm -f $file
 		done
 	done
 }
@@ -88,7 +88,7 @@
 do
 	for value in $(get_compress_opts zfs_compress)
 	do
-		log_must $ZFS set compression=$value $fs
+		log_must zfs set compression=$value $fs
 		real_val=$(get_prop $propname $fs)
 		if [[ $value == "gzip-6" ]]; then
 			value="gzip"
@@ -98,7 +98,7 @@
 
 		(( blksize = 512 ))
 		while (( blksize <= 131072 )); do
-			log_must $ZFS set recordsize=$blksize $fs
+			log_must zfs set recordsize=$blksize $fs
 
 			# doing single block testing
 			(( fsize = $RANDOM ))
--- old/usr/src/test/zfs-tests/tests/functional/delegate/cleanup.ksh	Wed Aug 31 16:21:10 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/cleanup.ksh	Wed Aug 31 16:21:10 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -35,8 +35,8 @@
 
 # restore the state of svc:/network/nis/client:default
 if [[ -e $NISSTAFILE ]]; then
-	log_must $SVCADM enable svc:/network/nis/client:default
-	log_must $RM -f $NISSTAFILE
+	log_must svcadm enable svc:/network/nis/client:default
+	log_must rm -f $NISSTAFILE
 fi
 
 default_cleanup
